:root {
    --bg-dark: #191919;
    --bg-darker: #000;
    --text: #e0e0e0;
    --button-bg: #ffffff18;
    --button-hover: #ffffff30;
    --link: #39f;
    --button-hover-time: 1s;
    --button-unhover-time: 2s;
}

html {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    color: var(--text);
    margin: 0;
    min-height: 100%;
    background: linear-gradient(to bottom, var(--bg-dark), var(--bg-darker) 70%, var(--bg-darker));
    position: relative;
}

button, input, select, textarea {
    font-family: inherit;
}

a {
    color: var(--link);
    text-decoration: none;
}

.abutton-group {
    float: right;
    margin-left: -10px;
}

.abutton::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 50%;
    background: linear-gradient(
        to bottom,
        rgba(255, 255, 255, 0.12),
        rgba(255, 255, 255, 0)
    );
}

.abutton {
    font-size: 20px;
    padding: 5px 10px;
    background-color: var(--button-bg);
    color: var(--link);
    cursor: pointer;
    transition: font-size var(--button-unhover-time) ease-out 100ms,
                background-color var(--button-unhover-time) ease-out var(--button-unhover-time);
    float: left;
    margin-left: 10px;
    margin-bottom: 10px;
    backdrop-filter: blur(4px) saturate(500%);
    border: 1px solid rgba(255, 255, 255, 0.15);
}

.abutton:hover {
    font-size: 400%;
    background-color: var(--button-hover);
    transition: font-size var(--button-hover-time) ease-out,
                background-color var(--button-unhover-time) ease-out;
}

header {
    padding: 10px;
    overflow: auto;
}

h1 {
    transition: all 0.5s;
}

h1:hover {
    text-shadow: -2px 0 var(--link),
                  2px 0 var(--button-hover);
    transform: skew(-2deg);
}

@keyframes blink {
    0%, 50% { opacity: 1; }
    51%, 100% { opacity: 0; }
}

.blink {
    animation: 1s blink step-end infinite;
    font-weight: bold;
}

#life {
    position: fixed;
    color: #08f4;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    display: block;
}

#lifetext {
    position: fixed;
    bottom: 10px;
    color: #ffffff80;
    z-index: 1;
    pointer-events: none;
}
